#ifndef CPGETKEY_H
#define CPGETKEY_H

typedef unsigned char KEY_CODE;


#ifdef __cplusplus
extern "C" {
#endif 
// This is NOT the same structure as a ClassPad bitmap.
#define BITMAP  unsigned char

// return VRAM bitmap size in *x and *y
void CP_Bdisp_DispSize_DD(int *x, int *y);

// return address of VRAM
BITMAP *CP_Bdisp_GetAddress_VRAM(void);


int GetKey(KEY_CODE code);
int GetKeyboard(char* keybuffer);

void SetPixel(int x,int y,unsigned char *screen);
void SetPixelH(int x,int y,unsigned char *screen);




#ifdef __cplusplus
}
#endif 

#endif
